ETCDCTL(1)

NAME
etcdctl - command line client for etcd

SYNOPSIS
etcdctl [global options] command [command options] [arguments...]

DESCRIPTION

  COMMANDS:

backup
    backup an etcd directory

cluster-health
    check the health of the etcd cluster

mk  make a new key with a given value

mkdir
    make a new directory

rm  remove a key

rmdir
    removes the key if it is an empty directory or a key-value pair

get retrieve the value of a key

ls  retrieve a directory

set set the value of a key

setdir
    create a new or existing directory

update
    update an existing key with a given value

updatedir
    update an existing directory

watch
    watch a key for changes

exec-watch
    watch a key for changes and exec an executable

member
    member add, remove and list subcommands

import
    import a snapshot to a cluster

user
    user add, grant and revoke subcommands

role
    role add, grant and revoke subcommands

auth
    overall auth controls

help, h
    Shows a list of commands or help for one command

  GLOBAL OPTIONS:

--debug
    output cURL commands which can be used to reproduce the request

--no-sync
    don't synchronize cluster information before sending request

--output, -o "simple"
    output response in the given format (`simple`, `extended` or `json`)

--peers, -C
    a comma-delimited list of machine addresses in the cluster (default: "127.0.0.1:4001,127.0.0.1:2379")

--cert-file
    identify HTTPS client using this SSL certificate file

--key-file
    identify HTTPS client using this SSL key file

--ca-file
    verify certificates of HTTPS-enabled servers using this CA bundle

--username, -u
    provide username[:password] and prompt if password is not supplied.

--help, -h
    show help

--version, -v
    print the version